package com.rodriguez.noticias;

import android.Manifest;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.support.design.widget.Snackbar;
import android.support.v4.app.ActivityCompat;
import android.support.v4.content.ContextCompat;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.TextView;
import android.widget.Toast;

public class ActividadInicial extends AppCompatActivity implements View.OnTouchListener {
    TextView textoInicial;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.actividad_inicial);
        textoInicial = (TextView) findViewById(R.id.textoinicio);
    }

    @Override
    protected void onRestart() {
        super.onRestart();
    }

    @Override
    protected void onResume() {
        super.onResume();
        Animation animacionInicial = AnimationUtils.loadAnimation(this,R.anim.animacion_inicial);
        textoInicial.startAnimation(animacionInicial);
        textoInicial.setOnTouchListener(this);
    }

    @Override
    protected void onStop() {
        super.onStop();
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
    }

    @Override
    public boolean onTouch(View v, MotionEvent event) {
        Intent i = new Intent(this,ActividadPrincipal.class);
        startActivity(i);
        return false;
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu){
        getMenuInflater().inflate(R.menu.menu_main,menu);
        return true;
    }

    public boolean onOptionsItemSelected(MenuItem item) {
        int id = item.getItemId();
        if (id == R.id.action_favoritos) {
            lanzarFavoritos(null);
            return true;
        }
        if (id == R.id.action_acercaDe) {
            lanzarAcercaDe(null);
            return true;
        }
        return super.onOptionsItemSelected(item);
    }

    public void lanzarFavoritos(View view) {
        Intent intent = new Intent(this,TitularesActivity.class);
        intent.putExtra("tipo", "fav");
        startActivity(intent);
    }

    public void lanzarAcercaDe(View view) {
        Intent i = new Intent(this,AcercaDeActivity.class);
        startActivity(i);
    }
}

