package com.rodriguez.noticias;

/**
 * Created by miria on 26/11/2016.
 */

public class Noticia {

    private String titular = "";
    private String fecha = "";
    private String cuerpo = "";
    private String periodico = "";
    private String url = "";

    public Noticia() {
        this.titular = "";
        this.fecha = "";
        this.cuerpo = "";
        this.periodico = "";
        this.url = "";
    }

    public Noticia(String titular) {
        this.titular = titular;
        this.fecha = "";
        this.cuerpo = "";
        this.periodico = "";
        this.url = "";
    }

    public Noticia(String titular, String fecha , String cuerpo) {
        this.titular = titular;
        this.fecha = fecha;
        this.cuerpo = cuerpo;
        this.periodico = "";
        this.url = "";
    }

    public Noticia(String periodico,String titular, String fecha , String cuerpo) {
        this.titular = titular;
        this.fecha = fecha;
        this.cuerpo = cuerpo;
        this.periodico = periodico;
        this.url = "";
    }

    public Noticia(String periodico,String titular, String fecha , String cuerpo, String url) {
        this.titular = titular;
        this.fecha = fecha;
        this.cuerpo = cuerpo;
        this.periodico = periodico;
        this.url = url;
    }

    public String getTitular() {
        return titular;
    }

    public void setTitular(String titular) {
        this.titular = titular;
    }

    public String getFecha() {
        return fecha;
    }

    public void setFecha(String fecha) {
        this.fecha = fecha;
    }

    public String getCuerpo() {
        return cuerpo;
    }

    public void setCuerpo(String cuerpo) {
        this.cuerpo = cuerpo;
    }

    public String getPeriodico() {
        return periodico;
    }

    public void setPeriodico(String periodico) {
        this.periodico = periodico;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Override
    public String toString() {
        return "Noticia{" +
                "titular='" + titular + '\'' +
                ", fecha='" + fecha + '\'' +
                ", cuerpo='" + cuerpo + '\'' +
                ", periodico='" + periodico + '\'' +
                ", url='" + url + '\'' +
                '}';
    }
}
